Subject: git-svn: Finding the svn-URL of the current branch in git

From: Matthias Kleine <[email-masked]>
Date: Tue, 07 Aug 2007 20:29:23 +0200

Hi there,

when running "git-svn dcommit" git-svn tries to find the svn-URL of the 
current branch int git by looking for the most recent git log-entry 
corresponding to a commit in svn (see working_head_info in git-svn).  In 
case a merge just happended this might be the URL of another branch. 
Would using "log --first-parent" instead of a plain "log" take care of 
this problem or would it have other undesirable consequences?

Regards,
Matthias Kleine